-- Options.lua : Options config

if select(6, GetAddOnInfo("Guilder_" .. (debugstack():match("[o%.][d%.][u%.]les\\(.-)\\") or ""))) ~= "MISSING" then return end

local _G = _G
local Guilder = _G.Guilder
local Guilder_Crowd = Guilder:GetModule("Crowd")
local L = Guilder.L

Guilder_Crowd:SetGlobalOptionsFunction(function(self)
	return "announce", {
		type = "group",
		name = L["Crowd Control Settings"],
		desc = "",
		inline = true,
		args = {
			desc = {
				type = "description",
				name = L["Crowd Control allows you to set the crowd control responsibilities for players in the group and announce it."],
				order = 0
			},
			channel = {
				type = "select",
				name = L["Channel"],
				desc = L["Choose the output channel for the announcement."],
				order = 1,
				values = {},
				get = function() return self.db.profile.channel end,
				set = function(info, v) self.db.profile.channel = v end
			},
			announce = {
				type = "execute",
				name = L["Announce"],
				desc = L["Announce the crowd control responsibilities."],
				order = 2,
				func = function() self:AnnounceTargets(self.db.profile.channel, nil) end
			},
			clearAll = {
				type = "execute",
				name = L["Clear All"],
				desc = L["Clear all players and crowd controls."],
				order = 3,
				func = function()
					self.db.profile.Channel = "SELF"
					for i = 1, 8 do
						self.db.profile["RT"..i.."name"] = ""
						self.db.profile["RT"..i.."type"] = L["None"]
					end
				end
			}
		}
	}, "responsibilities", {
		type = "group",
		name = L["Player Responsibilities"],
		desc = "",
		inline = true,
		childGroups = "tree",
		args = {
			desc = {
				type = "description",
				name = L["Please note that you will have to re-open this window if the players in the group have changed!"],
				order = 9,
			}
		}
	}
end)
